summaryrefslogtreecommitdiff
path: root/t/yflags-cxx.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-06-19 11:46:42 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-06-19 12:10:40 +0200
commit3492f226311377857a54032e43e1a982e7d804bc (patch)
tree613705edd3e6a3f5f299a33eb73827ab8c3d1531 /t/yflags-cxx.sh
parent5b4d68bc82c4fafbcf8b0580c707e0d1fd0d4c99 (diff)
downloadautomake-3492f226311377857a54032e43e1a982e7d804bc.tar.gz
tests: more significant names for some tests
* t/extra2.sh: Rename... * t/extra-sources-no-spurious.sh: ... like this. * t/yflags2.sh: Rename... * t/yflags-cxx.sh: ... like this. * t/lflags2.sh: Rename... * t/lflags-cxx.sh: ... like this. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/yflags-cxx.sh')
-rw-r--r--t/yflags-cxx.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/t/yflags-cxx.sh b/t/yflags-cxx.sh
new file mode 100644
index 000000000..1987cace9
--- /dev/null
+++ b/t/yflags-cxx.sh
@@ -0,0 +1,66 @@
+#! /bin/sh
+# Copyright (C) 2010-2013 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that $(YFLAGS) takes precedence over both $(AM_YFLAGS) and
+# $(foo_YFLAGS).
+# Please keep this in sync with the sister tests yflags.sh, lflags.sh
+# and lflags2.sh.
+
+. test-init.sh
+
+cat >fake-yacc <<'END'
+#!/bin/sh
+echo '/*' "$*" '*/' >y.tab.c
+echo 'extern int dummy;' >> y.tab.c
+END
+chmod a+x fake-yacc
+
+cat >> configure.ac <<'END'
+AC_SUBST([CXX], [false])
+# Simulate presence of Yacc using our fake-yacc script.
+AC_SUBST([YACC], ['$(abs_top_srcdir)'/fake-yacc])
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+AUTOMAKE_OPTIONS = no-dependencies
+bin_PROGRAMS = foo bar
+foo_SOURCES = main.cc foo.yy
+bar_SOURCES = main.cc bar.y++
+AM_YFLAGS = __am_flags__
+bar_YFLAGS = __bar_flags__
+END
+
+$ACLOCAL
+$AUTOMAKE -a
+
+grep '\$(YFLAGS).*\$(bar_YFLAGS)' Makefile.in && exit 1
+grep '\$(YFLAGS).*\$(AM_YFLAGS)' Makefile.in && exit 1
+
+: > foo.yy
+: > bar.y++
+
+$AUTOCONF
+./configure
+run_make YFLAGS=__user_flags__ foo.cc bar-bar.c++
+
+cat foo.cc
+cat bar-bar.c++
+
+grep '__am_flags__.*__user_flags__' foo.cc
+grep '__bar_flags__.*__user_flags__' bar-bar.c++
+
+: